// Author: KenWoo
// Email: suzerain2005@163.com
angular.module('pdm', ['ionic'])
    .config(function ($stateProvider, $urlRouterProvider) {

        // Ionic采用基于状态机原理的AngularUI路由机制
        // 预声明各state以使框架能访问到相应界面的控制器
        $stateProvider

            // 声明一个抽象state用以做tabs管理
            .state('tab', {
                url: '/tab',
                abstract: true,
                templateUrl: 'templates/tabs.html'
            })

            // 记账state
            .state('tab.dailykeeper', {
                url: '/dailykeeper',
                views: {
                    'tab-dailykeeper': {
                        templateUrl: 'views/dk/dk.html',
                        controller: 'Ctrl_DailyKeeper'
                    }
                }
            })
            // 日常state
            .state('tab.dailyactivity', {
                url: '/dailyactivity',
                views: {
                    'tab-dailyactivity': {
                        templateUrl: 'views/da/da.html',
                        controller: 'Ctrl_DailyActivity'
                    }
                }
            })
        ;

        // 如果访问的url没有匹配到以上state，则使用以下后备state（相当于默认页）
        $urlRouterProvider.otherwise('/tab/dailykeeper');

    })
    .run(function ($ionicPlatform) {
        $ionicPlatform.ready(function () {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);

            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }
        });
    })

;
